Bug 475479 - Compile nmh for EPEL
Compile nmh for EPEL
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nmh (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Josh Bressers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-09 08:09 EST by Pekka Pietikäinen
Modified: 2011-06-27 10:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:03:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Pietikäinen 2008-12-09 08:09:27 EST
Pretty please with sugar and cherry on top.

Seems to be a matter of just rebuilding it, I did a rpmbuild --rebuild nmh-1.3-1.fc10.src.rpm and it works a-ok.
Comment 1 James Ralston 2009-02-16 18:41:05 EST
I'll echo this request: we need plain old nmh on our RHEL5 boxes.

If you don't want to maintain the EPEL packages, please just say so, as I am a Fedora developer and would have no problems with maintaining the EPEL packages...
Comment 2 James Ralston 2009-03-03 13:54:01 EST
Just FYI, I've requested EL-4 and EL-5 branches for this package. See bug 488333.
Comment 3 Bug Zapper 2009-06-09 06:12:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Chris Adams 2010-02-12 14:10:20 EST
Is this going to happen?  I see ralston has the EPEL branches, but no packages appear to have been built.
Comment 5 Bug Zapper 2010-04-27 08:29:48 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Chris Adams 2010-05-14 09:06:57 EDT
Bumping to newer version so this doesn't get closed.
Comment 7 Jón Fairbairn 2011-03-16 18:09:37 EDT
Is there any progress on this?  I can't find nmh in EPEL repositories even now.
Comment 8 James Ralston 2011-05-10 20:48:37 EDT
Just to bring everyone up-to-date...

I took over as the EPEL packager back in 2009. But before I build the EPEL packages, Red Hat notified me that they intended to fold nmh into the "core" RHEL package set (at least for RHEL6, and possibly for RHEL4/RHEL5), which would obviate the need for an EPEL branch. In essence, they were going to take the package back. So I never built the EPEL branches.

However, Red Hat did not in fact fold nmh into the core packages... not for RHEL6 or any other version.

Now, I could build the EPEL branches. But the users at our site who wanted nmh no longer use it, and I don't use the package personally. So, I am far from an ideal candidate for maintaining the nmh EPEL branches.

Thus, if another maintainer would like to step forward, I would happily relinquish the EPEL branches.
Comment 9 Bug Zapper 2011-06-02 14:21:20 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2011-06-27 10:03:41 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.